Ruby - Feature #12245

optional parameter ndigits to Integer#floor, Integer#ceil, Float#floor, Float#ceil
04/02/2016 03:34 PM - nobu (Nobuyoshi Nakada)

Status: Closed
Priority: Normal
Assignee:

Target version:

Description

Related to [Feature #12244].
| think that Integer#floor, Integer#ceil, Float#floor, and Float#ceil should have optional parameter ndigits, as well as round methods.

https://github.com/ruby/ruby/compare/trunk...nobu:feature/Integer%23floor-ndigits
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Integer%23ceil-ndigits
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Float%23floor-ndigits
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Float%23ceil-ndigits

Associated revisions

Revision a1542d33ca30cdecb741be526d043be6bba01d76 - 04/13/2016 06:50 AM - nobu (Nobuyoshi Nakada)

numeric.c: int_ceil

e numeric.c (int_ceil): add an optional parameter, digits, as
well as Integer#round. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54562 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision a1542d33 - 04/13/2016 06:50 AM - nobu (Nobuyoshi Nakada)
numeric.c: int_ceil

e numeric.c (int_ceil): add an optional parameter, digits, as
well as Integer#round. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54562 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision d56b2776847f91fea70a3008ce29be544343f770 - 04/13/2016 06:54 AM - nobu (Nobuyoshi Nakada)
numeric.c: flo_floor

e numeric.c (flo_floor): add an optional parameter, digits, as
well as Integer#floor. [Feature #12245]

git-svn-id: svn+ssh:/ci.ruby-lang.org/ruby/trunk@54563 b2dd03c8-39d4-408f-98ff-823fe69b080e
Revision d56b2776 - 04/13/2016 06:54 AM - nobu (Nobuyoshi Nakada)
numeric.c: flo_floor

e numeric.c (flo_floor): add an optional parameter, digits, as
well as Integer#floor. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54563 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision ¢25853518665¢c71a79704ca50d40bf2fc4bc6aaa - 04/13/2016 06:56 AM - nobu (Nobuyoshi Nakada)
numeric.c: flo_ceil

e numeric.c (flo_ceil): add an optional parameter, digits, as
well as Float#round. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54564 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2585351 - 04/13/2016 06:56 AM - nobu (Nobuyoshi Nakada)

numeric.c: flo_ceil

e numeric.c (flo_ceil): add an optional parameter, digits, as
https://bugs.ruby-lang.org/issues/12244
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Integer%23floor-ndigits
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Integer%23ceil-ndigits
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Float%23floor-ndigits
https://github.com/ruby/ruby/compare/trunk...nobu:feature/Float%23ceil-ndigits

well as Float#round. [Feature #12245]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54564 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 1826991f26249735e29b06778723f4808f0ee1dc - 04/15/2016 01:17 AM - nobu (Nobuyoshi Nakada)
NEWS: mention [Feature #12245]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54590 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 1826991f - 04/15/2016 01:17 AM - nobu (Nobuyoshi Nakada)
NEWS: mention [Feature #12245]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54590 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision ae4eb682db0adf020b14d3998d247ea04a0bfb1c - 04/18/2016 02:38 AM - nobu (Nobuyoshi Nakada)
numeric.c: update doc [ci skip]

e numeric.c (int_to_i): [DOC] floor and ceil are no longer
synonyms. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54621 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision ae4eb682 - 04/18/2016 02:38 AM - nobu (Nobuyoshi Nakada)
numeric.c: update doc [ci skip]

e numeric.c (int_to_i): [DOC] floor and ceil are no longer
synonyms. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54621 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision adc7cb240abea320c991430e98b633ad4e327e08 - 04/18/2016 03:40 AM - nobu (Nobuyoshi Nakada)
test_float.rb: assertions for negative floats

e test/ruby/test_float.rb: add assertions for round,floor,ceil on
negative floats. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54623 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision adc7cb24 - 04/18/2016 03:40 AM - nobu (Nobuyoshi Nakada)
test_float.rb: assertions for negative floats

e test/ruby/test_float.rb: add assertions for round,floor,ceil on
negative floats. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54623 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 39f31b8c87dc28fd95f4e07194ecc2c491e05f6a - 04/18/2016 03:55 AM - nobu (Nobuyoshi Nakada)
numeric.c: int_truncate

e numeric.c (int_truncate): add an optional parameter, digits, as
well as Integer#round. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54624 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 39f31b8c - 04/18/2016 03:55 AM - nobu (Nobuyoshi Nakada)
numeric.c: int_truncate

e numeric.c (int_truncate): add an optional parameter, digits, as
well as Integer#round. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54624 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fe96a2495cfd8dda16037df2451424b9b36a56e4 - 04/18/2016 03:56 AM - nobu (Nobuyoshi Nakada)

numeric.c: flo_truncate

e numeric.c (flo_truncate): add an optional parameter, digits, as
well as Float#round. [Feature #12245]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54625 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision fe96a249 - 04/18/2016 03:56 AM - nobu (Nobuyoshi Nakada)
numeric.c: flo_truncate

e numeric.c (flo_truncate): add an optional parameter, digits, as
well as Float#round. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54625 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 0a38e38aeab8aff97550288ee1edf3c325a3¢c000 - 04/18/2016 03:57 AM - nobu (Nobuyoshi Nakada)
numeric.c: numeric ndigits

e numeric.c (num_floor, num_ceil, num_truncate): add an optional
parameter, digits, as well as Numeric#round. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54626 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 0a38e38a - 04/18/2016 03:57 AM - nobu (Nobuyoshi Nakada)
numeric.c: numeric ndigits

e numeric.c (num_floor, num_ceil, num_truncate): add an optional
parameter, digits, as well as Numeric#round. [Feature #12245]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54626 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/04/2016 01:53 PM - shevegen (Robert A. Heiler)

| think that would make sense.
| usually add an extra method call afterwards to round it manually (or, if not .round then to use it as a string and sprintf, % or .ljust / .rjust output it).
| should also note that newcomers often ask on IRC how to round / display something properly, so anything that may be of help here, is good | think.

(It will be typical question such as how to display a float like 3.0 as 3.000, if only for properly padded output with other float values that will have 3
slots past the . like 2.983 and so on)

#2 - 04/13/2016 06:50 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed

Applied in changeset r54562.

numeric.c: int_ceil

e numeric.c (int_ceil): add an optional parameter, digits, as
well as Integer#round. [Feature #12245]
